html:not(.ccm-edit-mode) div.container:nth-child(odd):has(> div.row > div.col-sm-12 > div.cg-alternate-background) {
    background-color: #f7f7f7;
    box-shadow: 0 0 0 100vw #f7f7f7;
    clip-path: inset(0 -100vw);
}
html:not(.ccm-edit-mode) div.container:has(> div.row > div.col-sm-12 > div.cg-alternate-background) {
    margin-bottom: 24px;
}
html:not(.ccm-edit-mode) div.container:last-child:has(> div.row > div.col-sm-12 > div.cg-alternate-background) {
    margin-bottom: 0;
}

html.ccm-edit-mode div[data-container="block"]:nth-child(odd of [data-container="block"]):has(> div.container > div.row > div.col-sm-12 > div[data-block-type-handle="core_area_layout"] > div.cg-alternate-background) {
    background-color: #d7f7d7;
}
html.ccm-edit-mode div[data-container="block"]:nth-child(even of [data-container="block"]):has(> div.container > div.row > div.col-sm-12 > div[data-block-type-handle="core_area_layout"] > div.cg-alternate-background) {
    background-color: #f7f7d7;
}

html.ccm-edit-mode div[data-container="block"]:has(> div.container > div.row > div.col-sm-12 > div[data-block-type-handle="core_area_layout"] > div.cg-alternate-background):nth-child(n + 2) {
    margin-bottom: 24px;
}
html.ccm-edit-mode div[data-container="block"]:last-child:has(> div.container > div.row > div.col-sm-12 > div[data-block-type-handle="core_area_layout"] > div.cg-alternate-background) {
    margin-bottom: 0;
}
